@echo off

cd /D %~dp0

echo Installing ...

en\Setup.exe /s /v/passive

echo Copying ...

if "%PROCESSOR_ARCHITECTURE%" EQU "x86" (
	attrib -r "%ProgramFiles%\WincorNixdorf\TH180\Utility\Fihautys.ini"
	copy ..\..\Installer\en\Fihautys.ini "%ProgramFiles%\WincorNixdorf\TH180\Utility"
	attrib -r "%ProgramFiles%\WincorNixdorf\TH180\Utility\Fihautys.ini"
) else (
	attrib -r "%ProgramFiles(x86)%\WincorNixdorf\TH180\Utility\Fihautys.ini"
	copy ..\..\Installer\en\Fihautys.ini "%ProgramFiles(x86)%\WincorNixdorf\TH180\Utility"
	attrib -r "%ProgramFiles(x86)%\WincorNixdorf\TH180\Utility\Fihautys.ini"
)

echo Finished installation
